#version 330 core

uniform float near;
uniform float far;

uniform vec3 lightPosition;

in vec4 worldPosition;


void main()
{
	float lightDistance = distance(vec4(lightPosition, 1), worldPosition);

	float lightDistance_normalized = lightDistance / far;

	gl_FragDepth = lightDistance_normalized;

}