#version 330 core

in vec2 texcoords;

uniform sampler2D color_texture;
uniform sampler2D bloom_texture;

layout(location = 0) out vec4 fragColor;


void main()
{
	fragColor = texture(color_texture, texcoords) + texture(bloom_texture, texcoords);	
}